Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1157302 - Review Request: oldkilim - A generic configuration framework for Java
Summary: Review Request: oldkilim - A generic configuration framework for Java
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-NEEDSPONSOR FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2014-10-27 02:12 UTC by Dave Chen
Modified: 2016-10-10 01:46 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-10 01:43:25 UTC


Attachments (Terms of Use)

Description Dave Chen 2014-10-27 02:12:56 UTC
Spec URL: https://github.com/chendave/OAT2.X-fedora21-Dependencies/blob/master/oldkilim/oldkilim.spec
SRPM URL: https://github.com/chendave/OAT2.X-fedora21-Dependencies/blob/master/oldkilim/oldkilim-1.1.3-2_1fc.src.rpm

Could anyone give some review on this package, appreciate for any comments you drop by.

Comment 1 gil cattaneo 2015-12-04 19:57:52 UTC
The spec file should be cleanup, please remove:

Group:		Development/Libraries/Java
#Vendor:		JPackage Project
#Distribution:	JPackage

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

Group: Development/Documentation

rm -rf $RPM_BUILD_ROOT in %install section

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc

%postun javadoc

%defattr(0644,root,root,0755)

* jar and javadoc must be without version, e.g.

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -pm 644 distrib/kilim.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
install -pm 644 distrib/kilim-tools.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-tools.jar

# javadoc
install -p -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -pr doc/apis/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%files javadoc
%{_javadocdir}/%{name}

Comment 2 Dave Chen 2016-10-10 01:43:25 UTC
Thanks gil for the review, no one is working on this anymore, will close the request.


Note You need to log in before you can comment on or make changes to this bug.